
Katello - Feature #23935

Ability to add many RPM filters to CV via API via only one REST call

06/14/2018 11:21 AM - Ivan Aragonés Muniesa

Status: New   

Priority: Normal   

Assignee: Ivan Aragonés Muniesa   

Category: API   

Target version: Katello Backlog   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/745
Description

We are creating RPM filters in ContentViews with more than 800 filter rules. Is too overhead to create all of them one by one, so

would be nice to can create all of them at once.

History

#1 - 06/14/2018 02:15 PM - Ivan Aragonés Muniesa

- Pull request https://github.com/Katello/katello/pull/7450 added

#2 - 06/14/2018 02:17 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#3 - 06/20/2018 06:10 PM - Jonathon Turel

- translation missing: en.field_release set to 349

#4 - 07/25/2018 06:26 PM - Andrew Kofink

- Target version changed from Katello 3.8.0 to Katello 3.9.0

- Triaged set to Yes

#5 - 10/31/2018 06:15 PM - Jonathon Turel

- Target version changed from Katello 3.9.0 to Katello 3.10.0

#6 - 11/29/2018 12:30 PM - Christine Fouant

- Target version changed from Katello 3.10.0 to Katello 3.11.0

#7 - 01/09/2019 07:19 PM - Jonathon Turel

- Target version changed from Katello 3.11.0 to Katello 3.12.0

#8 - 04/17/2019 06:44 PM - Chris Roberts

- Target version changed from Katello 3.12.0 to Katello 3.13.0

#9 - 04/17/2019 06:45 PM - Chris Roberts

Moving to 3.13 based on the status of the PR and branching 3.12 tomorrow.

#10 - 08/08/2019 05:33 PM - Jonathon Turel

- Target version changed from Katello 3.13.0 to Katello 3.14.0

#11 - 12/11/2019 07:02 PM - Jonathon Turel

- Target version changed from Katello 3.14.0 to Katello 3.15.0
#12 - 02/10/2020 07:41 PM - Jonathon Turel

- Target version changed from Katello 3.15.0 to Katello 3.16.0

#13 - 05/07/2020 03:34 PM - Ian Ballou

- Status changed from Ready For Testing to Rejected

Closing this due to inactivity. Feel free to open it back up if you'd like to work on it.

#14 - 05/07/2020 03:34 PM - Ian Ballou

- Status changed from Rejected to Closed

#15 - 05/07/2020 03:36 PM - Jonathon Turel

- Status changed from Closed to New

- Target version changed from Katello 3.16.0 to Katello Backlog
